services:
  - name: Web Application
    test:
      image: "python:3.8"
      commands:
        - pip install -r requirements.txt
        - echo "Running tests"
        - sleep 1
        - echo "Tests passed!"
    build:
      image: "python:3.8"
      commands:
        - pip install -r requirements.txt
    run:
      # no need to specify "image" because we have specified the "build" step, and 
      # its output image will be used as the image for this step.
      commands: 
      - "gunicorn --bind 0.0.0.0:5000 app:app"
      access:
        public:
          - url: example-cat-pics-app.amethystplatform.com
            # to which port of the container to send the traffic to
            port: 5000
